Index: LMDZ6/trunk/libf/phylmd/Dust/phytracr_spl_mod.F90
===================================================================
--- LMDZ6/trunk/libf/phylmd/Dust/phytracr_spl_mod.F90	(revision 3805)
+++ LMDZ6/trunk/libf/phylmd/Dust/phytracr_spl_mod.F90	(revision 3806)
@@ -2138,215 +1607,13 @@
 !$OMP MASTER
 
-      !ALLOCATE(d_tr_cl(klon,klev,nbtr),d_tr_dry(klon,nbtr))
       ALLOCATE(d_tr_dry(klon,nbtr))
       ALLOCATE(flux_tr_dry(klon,nbtr),d_tr_dec(klon,klev,nbtr))
-      !ALLOCATE(d_tr_cv(klon,klev,nbtr))
-      !ALLOCATE(d_tr_insc(klon,klev,nbtr),d_tr_bcscav(klon,klev,nbtr))
-      !ALLOCATE(d_tr_evapls(klon,klev,nbtr),d_tr_ls(klon,klev,nbtr))
-      !ALLOCATE(qPrls(klon,nbtr),d_tr_trsp(klon,klev,nbtr))
       ALLOCATE(qPrls(klon,nbtr),qPr(klon,klev,nbtr))
-      !ALLOCATE(d_tr_sscav(klon,klev,nbtr),d_tr_sat(klon,klev,nbtr))
-      !ALLOCATE(d_tr_uscav(klon,klev,nbtr),qPr(klon,klev,nbtr))
       ALLOCATE(qDi(klon,klev,nbtr))
       ALLOCATE(qPa(klon,klev,nbtr),qMel(klon,klev,nbtr))
       ALLOCATE(qTrdi(klon,klev,nbtr),dtrcvMA(klon,klev,nbtr))
-      !ALLOCATE(d_tr_th(klon,klev,nbtr))
-      !ALLOCATE(d_tr_lessi_impa(klon,klev,nbtr))
-      !ALLOCATE(d_tr_lessi_nucl(klon,klev,nbtr))
-
-      !ALLOCATE( diff_aod550_tot(klon)     )
-      !ALLOCATE( diag_aod670_tot(klon)     )
-      !ALLOCATE( diag_aod865_tot(klon)     )
-      !ALLOCATE( diff_aod550_tr2(klon)     )
-      !ALLOCATE( diag_aod670_tr2(klon)     )
-      !ALLOCATE( diag_aod865_tr2(klon)     )
-      !ALLOCATE( diag_aod550_ss(klon)      )
-      !ALLOCATE( diag_aod670_ss(klon)      )
-      !ALLOCATE( diag_aod865_ss(klon)      )
-      !ALLOCATE( diag_aod550_dust(klon)    )
-      !ALLOCATE( diag_aod670_dust(klon)    )
-      !ALLOCATE( diag_aod865_dust(klon)    )
-      !ALLOCATE( diag_aod550_dustsco(klon)  )
-      !ALLOCATE( diag_aod670_dustsco(klon)  )
-      !ALLOCATE( diag_aod865_dustsco(klon)  )
-
-
-      !ALLOCATE(  sconc01(klon)     )
-      !ALLOCATE(  trm01(klon)     )
-      !ALLOCATE(  sconc02(klon)     )
-      !ALLOCATE(  trm02(klon)     )
-      !ALLOCATE(  sconc03(klon)     )
-      !ALLOCATE(  trm03(klon)     )
-      !ALLOCATE(  sconc04(klon)     )
-      !ALLOCATE(  trm04(klon)     )
-      !ALLOCATE(  sconc05(klon)     )
-      !ALLOCATE(  trm05(klon)     )
-
-
-      !ALLOCATE(  flux01(klon)     )
-      !ALLOCATE(  flux02(klon)     )
-      !ALLOCATE(  flux03(klon)     )
-      !ALLOCATE(  flux04(klon)     )
-      !ALLOCATE(  flux05(klon)     )
-      !ALLOCATE(  ds01(klon)     )
-      !ALLOCATE(  ds02(klon)     )
-      !ALLOCATE(  ds03(klon)     )
-      !ALLOCATE(  ds04(klon)     )
-      !ALLOCATE(  ds05(klon)     )
-      !ALLOCATE(  dh01(klon)     )
-      !ALLOCATE(  dh02(klon)     )
-      !ALLOCATE(  dh03(klon)     )
-      !ALLOCATE(  dh04(klon)     )
-      !ALLOCATE(  dh05(klon)     )
-      !ALLOCATE(  dtrconv01(klon)     )
-      !ALLOCATE(  dtrconv02(klon)     )
-      !ALLOCATE(  dtrconv03(klon)     )
-      !ALLOCATE(  dtrconv04(klon)     )
-      !ALLOCATE(  dtrconv05(klon)     )
-      !ALLOCATE(  dtherm01(klon)     )
-      !ALLOCATE(  dtherm02(klon)     )
-      !ALLOCATE(  dtherm03(klon)     )
-      !ALLOCATE(  dtherm04(klon)     )
-      !ALLOCATE(  dtherm05(klon)     )
-      !ALLOCATE(  dhkecv01(klon)     )
-      !ALLOCATE(  dhkecv02(klon)     )
-      !ALLOCATE(  dhkecv03(klon)     )
-      !ALLOCATE(  dhkecv04(klon)     )
-      !ALLOCATE(  dhkecv05(klon)     )
-      !ALLOCATE(  d_tr_ds01(klon)     )
-      !ALLOCATE(  d_tr_ds02(klon)     )
-      !ALLOCATE(  d_tr_ds03(klon)     )
-      !ALLOCATE(  d_tr_ds04(klon)     )
-      !ALLOCATE(  d_tr_ds05(klon)     )
-      !ALLOCATE(  dhkelsc01(klon)     )
-      !ALLOCATE(  dhkelsc02(klon)     )
-      !ALLOCATE(  dhkelsc03(klon)     )
-      !ALLOCATE(  dhkelsc04(klon)     )
-      !ALLOCATE(  dhkelsc05(klon)     )
-      !ALLOCATE(  d_tr_cv01(klon,klev))
-      !ALLOCATE(  d_tr_cv02(klon,klev))
-      !ALLOCATE(  d_tr_cv03(klon,klev))
-      !ALLOCATE(  d_tr_cv04(klon,klev))
-      !ALLOCATE(  d_tr_cv05(klon,klev))
-      !ALLOCATE(  d_tr_trsp01(klon,klev))
-      !ALLOCATE(  d_tr_trsp02(klon,klev))
-      !ALLOCATE(  d_tr_trsp03(klon,klev))
-      !ALLOCATE(  d_tr_trsp04(klon,klev))
-      !ALLOCATE(  d_tr_trsp05(klon,klev))
-      !ALLOCATE(  d_tr_sscav01(klon,klev))
-      !ALLOCATE(  d_tr_sscav02(klon,klev))
-      !ALLOCATE(  d_tr_sscav03(klon,klev))
-      !ALLOCATE(  d_tr_sscav04(klon,klev))
-      !ALLOCATE(  d_tr_sscav05(klon,klev))
-      !ALLOCATE(  d_tr_sat01(klon,klev))
-      !ALLOCATE(  d_tr_sat02(klon,klev))
-      !ALLOCATE(  d_tr_sat03(klon,klev))
-      !ALLOCATE(  d_tr_sat04(klon,klev))
-      !ALLOCATE(  d_tr_sat05(klon,klev))
-      !ALLOCATE(  d_tr_uscav01(klon,klev))
-      !ALLOCATE(  d_tr_uscav02(klon,klev))
-      !ALLOCATE(  d_tr_uscav03(klon,klev))
-      !ALLOCATE(  d_tr_uscav04(klon,klev))
-      !ALLOCATE(  d_tr_uscav05(klon,klev))
-      
-!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
-!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
-      !ALLOCATE(  d_tr_insc01(klon,klev))
-      !ALLOCATE(  d_tr_insc02(klon,klev))
-      !ALLOCATE(  d_tr_insc03(klon,klev))
-      !ALLOCATE(  d_tr_insc04(klon,klev))
-      !ALLOCATE(  d_tr_insc05(klon,klev))
-      !ALLOCATE(  d_tr_bcscav01(klon,klev))
-      !ALLOCATE(  d_tr_bcscav02(klon,klev))
-      !ALLOCATE(  d_tr_bcscav03(klon,klev))
-      !ALLOCATE(  d_tr_bcscav04(klon,klev))
-      !ALLOCATE(  d_tr_bcscav05(klon,klev))
-      !ALLOCATE(  d_tr_evapls01(klon,klev))
-      !ALLOCATE(  d_tr_evapls02(klon,klev))
-      !ALLOCATE(  d_tr_evapls03(klon,klev))
-      !ALLOCATE(  d_tr_evapls04(klon,klev))
-      !ALLOCATE(  d_tr_evapls05(klon,klev))
-      !ALLOCATE(  d_tr_ls01(klon,klev))
-      !ALLOCATE(  d_tr_ls02(klon,klev))
-      !ALLOCATE(  d_tr_ls03(klon,klev))
-      !ALLOCATE(  d_tr_ls04(klon,klev))
-      !ALLOCATE(  d_tr_ls05(klon,klev))
-      !ALLOCATE(  d_tr_dyn01(klon,klev))
-      !ALLOCATE(  d_tr_dyn02(klon,klev))
-      !ALLOCATE(  d_tr_dyn03(klon,klev))
-      !ALLOCATE(  d_tr_dyn04(klon,klev))
-      !ALLOCATE(  d_tr_dyn05(klon,klev))
-      !ALLOCATE(  d_tr_cl01(klon,klev))
-      !ALLOCATE(  d_tr_cl02(klon,klev))
-      !ALLOCATE(  d_tr_cl03(klon,klev))
-      !ALLOCATE(  d_tr_cl04(klon,klev))
-      !ALLOCATE(  d_tr_cl05(klon,klev))
-      !ALLOCATE(  d_tr_th01(klon,klev))
-      !ALLOCATE(  d_tr_th02(klon,klev))
-      !ALLOCATE(  d_tr_th03(klon,klev))
-      !ALLOCATE(  d_tr_th04(klon,klev))
-      !ALLOCATE(  d_tr_th05(klon,klev))
-
-      !ALLOCATE( sed_ss3D(klon,klev))
-      !ALLOCATE( sed_dust3D(klon,klev))
-      !ALLOCATE( sed_dustsco3D(klon,klev))
-
-!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
-!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
-
-      !ALLOCATE( sed_ss(klon))
-      !ALLOCATE( sed_dust(klon))
-      !ALLOCATE( sed_dustsco(klon))
-      !ALLOCATE( his_g2pgas(klon))
-      !ALLOCATE( his_g2paer(klon))
-
-      !ALLOCATE( fluxbb(klon))
-      !ALLOCATE( fluxff(klon))
-      !ALLOCATE( fluxbcbb(klon))
-      !ALLOCATE( fluxbcff(klon))
-      !ALLOCATE( fluxbcnff(klon))
-      !ALLOCATE( fluxbcba(klon))
-      !ALLOCATE( fluxbc(klon))
-      !ALLOCATE( fluxombb(klon))
-      !ALLOCATE( fluxomff(klon))
-      !ALLOCATE( fluxomnff(klon))
-      !ALLOCATE( fluxomba(klon))
-      !ALLOCATE( fluxomnat(klon))
-      !ALLOCATE( fluxom(klon))
-      !ALLOCATE( fluxh2sff(klon))
-      !ALLOCATE( fluxh2snff(klon))
-      !ALLOCATE( fluxso2ff(klon))
-      !ALLOCATE( fluxso2nff(klon))
-      !ALLOCATE( fluxso2bb(klon))
-      !ALLOCATE( fluxso2vol(klon))
-      !ALLOCATE( fluxso2ba(klon))
-      !ALLOCATE( fluxso2(klon))
-      !ALLOCATE( fluxso4ff(klon))
-      !ALLOCATE( fluxso4nff(klon))
-      !ALLOCATE( fluxso4bb(klon))
-      !ALLOCATE( fluxso4ba(klon))
-      !ALLOCATE( fluxso4(klon))
-      !ALLOCATE( fluxdms(klon))
-      !ALLOCATE( fluxh2sbio(klon))
-      !ALLOCATE( fluxdustec(klon))
-      !ALLOCATE( fluxddfine(klon))
-      !ALLOCATE( fluxddcoa(klon))
-      !ALLOCATE( fluxddsco(klon))
-      !ALLOCATE( fluxdd(klon))
-      !ALLOCATE( fluxssfine(klon))
-      !ALLOCATE( fluxsscoa(klon))
-      !ALLOCATE( fluxss(klon))
-      !ALLOCATE( flux_sparam_ind(klon))
-      !ALLOCATE( flux_sparam_bb(klon))
-      !ALLOCATE( flux_sparam_ff(klon))
-      !ALLOCATE( flux_sparam_ddfine(klon))
-      !ALLOCATE( flux_sparam_ddcoa(klon))
-      !ALLOCATE( flux_sparam_ddsco(klon))
-      !ALLOCATE( flux_sparam_ssfine(klon))
-      !ALLOCATE( flux_sparam_sscoa(klon))
-      !ALLOCATE( u10m_ss(klon))
-      !ALLOCATE( v10m_ss(klon))
-
-
+
+!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
+!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
        ALLOCATE(d_tr_cv_o(klon,klev,nbtr))
        ALLOCATE(d_tr_trsp_o(klon,klev,nbtr))
@@ -2375,52 +1642,8 @@
        ALLOCATE(masque_aqua(klon))  
        ALLOCATE(masque_terra(klon))  
-!       ALLOCATE(aod550_aqua(klon))  
-!       ALLOCATE(aod550_terra(klon))  
-!       ALLOCATE(aod670_aqua(klon))  
-!       ALLOCATE(aod670_terra(klon))  
-!       ALLOCATE(aod865_aqua(klon))  
-!       ALLOCATE(aod865_terra(klon)) 
-
-      !ALLOCATE( aod550_terra(klon))  
-      !ALLOCATE( aod550_tr2_terra(klon))  
-      !ALLOCATE( aod550_ss_terra(klon))   
-      !ALLOCATE( aod550_dust_terra(klon))   
-      !ALLOCATE( aod550_dustsco_terra(klon))   
-      !ALLOCATE( aod670_terra(klon))   
-      !ALLOCATE( aod670_tr2_terra(klon))  
-      !ALLOCATE( aod670_ss_terra(klon))  
-      !ALLOCATE( aod670_dust_terra(klon))  
-      !ALLOCATE( aod670_dustsco_terra(klon))  
-      !ALLOCATE( aod865_terra(klon))   
-      !ALLOCATE( aod865_tr2_terra(klon))  
-      !ALLOCATE( aod865_ss_terra(klon))  
-      !ALLOCATE( aod865_dust_terra(klon))  
-      !ALLOCATE( aod865_dustsco_terra(klon))  
-
-      !ALLOCATE( aod550_aqua(klon))  
-      !ALLOCATE( aod550_tr2_aqua(klon))  
-      !ALLOCATE( aod550_ss_aqua(klon))   
-      !ALLOCATE( aod550_dust_aqua(klon))   
-      !ALLOCATE( aod550_dustsco_aqua(klon))   
-      !ALLOCATE( aod670_aqua(klon))   
-      !ALLOCATE( aod670_tr2_aqua(klon))  
-      !ALLOCATE( aod670_ss_aqua(klon))  
-      !ALLOCATE( aod670_dust_aqua(klon))  
-      !ALLOCATE( aod670_dustsco_aqua(klon))  
-      !ALLOCATE( aod865_aqua(klon))   
-      !ALLOCATE( aod865_tr2_aqua(klon))  
-      !ALLOCATE( aod865_ss_aqua(klon))  
-      !ALLOCATE( aod865_dust_aqua(klon))  
-      !ALLOCATE( aod865_dustsco_aqua(klon))  
  
 
        masque_aqua(:)=0
        masque_terra(:)=0
-!       aod550_aqua(:)=0.
-!       aod550_terra(:)=0.
-!       aod670_aqua(:)=0.
-!       aod670_terra(:)=0.
-!       aod865_aqua(:)=0.
-!       aod865_terra(:)=0.
 
       aod550_terra(:)=0.  
@@ -2715,4 +1938,5 @@
       CLOSE(76)
       CLOSE(77)
+      CLOSE(95)
 
       ENDIF ! mpi root
@@ -4116,10 +3340,4 @@
        !new utc day: put in 0 everything
 !JE20150518<<
-!       aod550_aqua(:) =0.
-!       aod550_terra(:) =0.
-!       aod670_aqua(:) =0.
-!       aod670_terra(:) =0.
-!       aod865_aqua(:) =0.
-!       aod865_terra(:) =0.
        masque_aqua(:) =0
        masque_terra(:) =0
@@ -4158,10 +3376,4 @@
 
       DO i=1,klon
-!         aod550_aqua(i)=aod550_aqua(i)+   &
-!                       masque_aqua_cur(i)*diff_aod550_tot(i)
-!         aod670_aqua(i)=aod670_aqua(i)+   &
-!                        masque_aqua_cur(i)*diag_aod670_tot(i)
-!         aod865_aqua(i)=aod865_aqua(i)+   &
-!                       masque_aqua_cur(i)*diag_aod865_tot(i)
 
        aod550_terra(i)=aod550_terra(i)+   &
@@ -4228,11 +3440,6 @@
        aod865_dustsco_aqua(i)= aod865_dustsco_aqua(i) + &
                        masque_aqua_cur(i)*diag_aod865_dustsco(i)
-!         aod550_terra(i)=aod550_terra(i)+  &
-!                       masque_terra_cur(i)*diff_aod550_tot(i)
-!         aod670_terra(i)=aod670_terra(i)+  &
-!                       masque_terra_cur(i)*diag_aod670_tot(i)
-!         aod865_terra(i)=aod865_terra(i)+   &
-!                       masque_terra_cur(i)*diag_aod865_tot(i)
-         masque_aqua(i)=masque_aqua(i)+masque_aqua_cur(i)
+
+               masque_aqua(i)=masque_aqua(i)+masque_aqua_cur(i)
          masque_terra(i)=masque_terra(i)+masque_terra_cur(i)
       ENDDO
@@ -4307,68 +3514,16 @@
                    aod865_dustsco_terra(i)= -999.
                ENDIF
-!              IF (masque_terra(i).GT. 0) THEN
-!                   aod550_terra(i) = aod550_terra(i)/masque_terra(i)
-!                   aod670_terra(i)=aod670_terra(i)/masque_terra(i)
-!                   aod865_terra(i)=aod865_terra(i)/masque_terra(i)
-!
-!               ELSE
-!                   aod550_terra(i) = -999.
-!                   aod670_terra(i) = -999.
-!                   aod865_terra(i) = -999.
-!               ENDIF
           ENDDO          
-!      !write  dbg
-!       CALL writefield_phy("aod550_aqua",aod550_aqua,1) 
-!       CALL writefield_phy("aod550_terra",aod550_terra,1) 
-!       CALL writefield_phy("masque_aqua",float(masque_aqua),1)
-!       CALL writefield_phy("masque_terra",float(masque_terra),1)
-
-
-      IF (ok_histrac) THEN
-!      write in output file
-      call gather(aod550_aqua,aod550_aqua_glo)
-      call gather(aod550_terra,aod550_terra_glo)
-      call gather(aod670_aqua,aod670_aqua_glo)
-      call gather(aod670_terra,aod670_terra_glo)
-      call gather(aod865_aqua,aod865_aqua_glo)
-      call gather(aod865_terra,aod865_terra_glo)
-
-!$OMP MASTER
-      IF (is_mpi_root .AND. is_omp_root) THEN
-
-      CALL gr_fi_ecrit(1, klon_glo,nbp_lon,nbp_lat, aod550_aqua_glo ,zx_tmp_2d)
-      CALL histwrite(nid_tra3,"taue550_aqua",itra,zx_tmp_2d, &
-                                      nbp_lon*(nbp_lat),ndex2d)
-
-      CALL gr_fi_ecrit(1, klon_glo,nbp_lon,nbp_lat, aod550_terra_glo ,zx_tmp_2d)
-      CALL histwrite(nid_tra3,"taue550_terra",itra,zx_tmp_2d, &
-                                      nbp_lon*(nbp_lat),ndex2d)
-      CALL gr_fi_ecrit(1, klon_glo,nbp_lon,nbp_lat, aod670_aqua_glo ,zx_tmp_2d)
-      CALL histwrite(nid_tra3,"taue670_aqua",itra,zx_tmp_2d, &
-                                      nbp_lon*(nbp_lat),ndex2d)
-      CALL gr_fi_ecrit(1, klon_glo,nbp_lon,nbp_lat, aod670_terra_glo ,zx_tmp_2d)
-      CALL histwrite(nid_tra3,"taue670_terra",itra,zx_tmp_2d, &
-                                      nbp_lon*(nbp_lat),ndex2d)
-
-      CALL gr_fi_ecrit(1, klon_glo,nbp_lon,nbp_lat, aod865_aqua_glo ,zx_tmp_2d)
-      CALL histwrite(nid_tra3,"taue865_aqua",itra,zx_tmp_2d, &
-                                      nbp_lon*(nbp_lat),ndex2d)
-      CALL gr_fi_ecrit(1, klon_glo,nbp_lon,nbp_lat, aod865_terra_glo ,zx_tmp_2d)
-      CALL histwrite(nid_tra3,"taue865_terra",itra,zx_tmp_2d, &
-                                      nbp_lon*(nbp_lat),ndex2d)
-      ENDIF
-!$OMP END MASTER
-!$OMP BARRIER
-      ENDIF
-!       !put in 0 everything
-!       aod550_aqua(:) =0.
-!       aod550_terra(:) =0.
-!       aod670_aqua(:) =0.
-!       aod670_terra(:) =0.
-!       aod865_aqua(:) =0.
-!       aod865_terra(:) =0.
-!       masque_aqua(:) =0 
-!       masque_terra(:) =0 
-      ENDIF 
+
+!!AS deleting lines
+!!      IF (ok_histrac) THEN
+!!!!      write in output file
+!!----many deleted lines
+!!      ENDIF  !mpi_root
+!!!$OMP END MASTER
+!!!$OMP BARRIER
+!!      ENDIF  !--ok_histrac
+
+      ENDIF ! jH_cur...
 
 
